Package org.apache.struts2.views.velocity.components

# Class TokenDirective

java.lang.Object
org.apache.velocity.runtime.directive.Directive
org.apache.struts2.views.velocity.components.AbstractDirective
org.apache.struts2.views.velocity.components.TokenDirective

All Implemented Interfaces:
  `Cloneable`, `org.apache.velocity.runtime.directive.DirectiveConstants`

public class TokenDirective extends AbstractDirective

See Also:
  - `Token`

- ## Field Summary

  ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

  `log, rsvc`

  ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

  `BLOCK, LINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenDirective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Component`
  `getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `String`
  `getBeanName()`

  ### Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective

  `createPropertyMap, getName, getType, putProperty, render`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

  `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TokenDirective

    public TokenDirective()

- ## Method Details

  - ### getBeanName

    public String getBeanName()
    Specified by:
      `getBeanName` in class `AbstractDirective`

  - ### getBean

    protected Component getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)
    Specified by:
      `getBean` in class `AbstractDirective`